@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Roboto+Slab:wght@400;700&display=swap");

.containerMultiStep {
  text-align: center;
  width: 80%;
  height: 100%;
}

h1 {
  font-weight: 600;
  padding-top: 0;
  margin-top: 0;
  font-family: "Roboto Slab", serif;
}

p {
  font-size: 20px;
  text-align: center;
}

#svg_form_time {
  height: 10px;
  width: 50px;
  margin: 40px auto 20px;
  display: block;
}

#svg_form_time circle,
#svg_form_time rect {
  fill: white;
}

.button {
  background: darkcyan;
  border-radius: 30px;
  padding: 15px 25px;
  display: inline-block;
  margin: 10px;
  font-weight: bold;
  color: white;
  cursor: pointer;
  box-shadow: 0px 2px 5px rgb(0, 0, 0, 0.5);
}

.disabled {
  display: none;
}

section {
  padding: 50px;
  width: 40%;
  height: 500px;
  margin: 30px auto;
  background: transparent;
  backdrop-filter: blur(10px);
  border-radius: 30px;
  transition: transform 0.2s ease-in-out;
  text-align: center;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 16px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

section h1 {
  font-size: 27px !important;

  font-family: 'Dosis', sans-serif;
 color:white;
}

#milieu {
   font-size: 27px !important;

  font-family: 'Dosis', sans-serif;
 color:white;
}

p {
  text-align: center;
  color: rgb(0, 42, 42);
  margin: 60px;
}

input {
  width: 100%;
  margin: 7px 0px;
  display: inline-block;
  padding: 12px 25px;
  box-sizing: border-box;
  border-radius: 5px;
  border: 1px solid lightgrey;
  font-size: 1em;
  font-family: inherit;
  background: white;
}

p {
  text-align: justify;
  margin-top: 0;
}

//FIRSTPAGE

//MOOD

/* HIDE RADIO */
.inputMood {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.inputMood2 {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
.inputMood + img {
  cursor: pointer;
  margin-left: 1px;
  margin-top: 1px;
}

.inputMood2 + img {
  cursor: pointer;
  margin-left: 1px;
  margin-top: 1px;
}

/* CHECKED STYLES */
.inputMood:checked + img {
  border-radius: 30px;
  filter: grayscale(0%) opacity(100%);
}

.inputMood:active + img {
  border-radius: 30px;
  filter: grayscale(0%) opacity(100%);
}

.inputMood2:checked + img {
  border-radius: 30px;
  filter: grayscale(0%) opacity(100%);
}

.labelMood {
  margin: 20px;
  display: inline-block;
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 50px;
  filter: grayscale(100%) opacity(70%);
  transition: all 0.5s ease;
}

.labelMood:hover {
  filter: grayscale(50%) opacity(85%);
  box-shadow: 0 0 15px #777;
  transform: scale(1.2);
}

.labelMood:focus-within {
  filter: grayscale(0%) opacity(100%);
}

textarea {
  width: 100%;
  height: 150px;
  padding: 12px 20px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
  resize: none;
}

//SECOND PAGE

//LOCATION

.switch {
  margin-bottom: 20px;
  margin: auto;
  position: relative;
  width: 550px;
  padding: 0 1rem;
  font-family: "Expletus Sans", cursive;
  font-size: 20px;
  &:before {
    content: "  ";
    position: absolute;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 3rem;
    border-radius: 30px;
  }
  &__label {
    z-index: 2;
    color: rgb(1, 62, 62);
    display: inline-block;
    width: 10rem;
    padding: 0rem;
    text-align: center;
    cursor: pointer;
    transition: color 200ms ease-out;
    &:hover {
      color: white;
    }
  }
  &__indicator {
    z-index: 0;
    width: 8rem;
    height: 3.5rem;
    position: absolute;
    bottom: -10px;
    left: 0;
    background: rgba(255, 166, 0, 0.298);
    border-radius: 30px;
    transition: transform 600ms cubic-bezier(0.02, 0.94, 0.09, 0.97),
      background 300ms cubic-bezier(0.17, 0.67, 0.14, 1.03);
    transform: translate3d(2rem, 0, 0);
  }

  input#one:checked ~ .switch__indicator {
    opacity: 0.3;
    background: orange;
    transform: translate3d(2rem, 0, 0);
  }
  input#two:checked ~ .switch__indicator {
    opacity: 0.3;
    background: rgb(255, 115, 0);
    transform: translate3d(12rem, 0, 0);
  }
  input#three:checked ~ .switch__indicator {
    opacity: 0.3;
    background: orangered;
    transform: translate3d(22rem, 0, 0);
  }
  .switchRadio {
    &:not(:checked),
    &:checked {
      display: none;
    }
  }
}

//THIRDPAGE

h1 {
  margin: 0 0 1em;
}
.group {
  display: flex;
  align-items: center;
  margin-bottom: 2em;
}

.radioButtonCategory {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.radioButtonLabel {
  font-size: 20px;
  color: darkcyan;
  position: relative;
  margin-right: 1em;
  padding-left: 2em;
  padding-right: 1em;
  line-height: 2;
  cursor: pointer;
  &:before {
    box-sizing: border-box;
    content: " ";
    position: absolute;
    top: 0.3em;
    left: 0;
    display: block;
    width: 1.4em;
    height: 1.4em;
    border: 2px solid rgb(1, 85, 85);
    border-radius: 0.25em;
    z-index: -1;
  }
}
.radioButtonCategory + .radioButtonLabel::before {
  border-radius: 1em;
}
/* Checked */

.radioButtonCategory:checked + .radioButtonLabel {
  padding-left: 1em;
  color: white;
  &:before {
    top: 0;
    width: 100%;
    height: 2em;
    background: rgb(0, 87, 87);
  }
}

/* Transition */
.radioButtonLabel,
.radioButtonLabel::before {
  -webkit-transition: 0.25s all ease;
  -o-transition: 0.25s all ease;
  transition: 0.25s all ease;
}

//BUDGET

#budgetMax {
  margin: auto;
  border-radius: 30px;
}


//LOGGED-IN LOGGED-OUT

#loggedOutMess {
  text-align: center;
  margin: 100px;
  color: white;
  font-family: "Expletus Sans", cursive;
  font-size: 60px;
}

#loggedOutLink {
  text-decoration: none;
  margin: auto;
  margin: 100px;
  color: darkcyan;
  font-size: 40px;
}
